Description

1 Pasobpatbcs ¢ MeTofamu ER paccuéta KnHematuku,

2. NpoBepuTb coBNaLeHne MeTonoB PUCOBaHUA : tree->Draw 1 nocobbITUIAHOTrO

3. nonyymTb coBNageHme ¢ KapTuHKamm, nonyyeHHsiMm B SIMONE

4. YctaHoBUTb, Kakyto cTpykTypy BeTkn MCTrack s xo4y nony4ntb

History

#1 - 02/18/2018 03:59 PM - Ivan Muzalevsky
- File output.pdf added

Ha naHHbI MOMEHT, Nony4YeHbl cneayolume KapTuHkm (npunoxexue). [na scex pacnpeneneHunii nposepeH MeTon prucosaHms ( NyHKT Ne2 )

#2 - 02/21/2018 03:27 PM - Vitaliy Schetinin

|'|p06nema KOTOPYIO BCKpbINa faHHada 3afnada: Hy XHO y,ELO6HO MMEeTb OOCTYM K MCTrack yacTtuy, KOTOpble BXOOAT B pacnan v BbIXOOAT U3 HEro.

MpocTo No HoMepam TPEKOB 3TOro fenaTb HENb3s, MOTOMY YTO MNEPBUYHbIA MOH MOF MHOTO Yero poanTb Ao pacnaga. o PDG Toxe Henb3as,
MOTOMY 4TO HY>XXHO OT/AMYaTb K NMPUMEPY NepBbIi U BTOPOI HeTPOH B pacnane. CHavana 6bino peweHo nucats ERDecayMCEventHeader B
KoTopoM byayT 06bekThl Tvna ERParticle(TLorentzVector + PDG). Ho aHannaupys 10, 4TO eCTb § yBULEN, YTO 9TO HE UMEET CMbICNa BCS

nHdpopmauums yxe xpaHutcsa B BeTke MCTracks. MoaTomy Hy>XHO Tonbko xpaHnTb mHaekc MCTrack Bxoasuiero B pacnag noHa n MHOEKCbl BCeX

BbIXOAALLMX.
MosiBunacTb Takas ctpykTypa ERDecayMCEventHeader:

class ERDecayMCEventHeader : public FairMCEventHeader {
private:

TVector3 fDecayPos;

Int_t finputTracklD;

TArrayl fOutputTrackID;

Int_t fOutputsTracksNb = 0;

I"ne cootBeTcBeHHo fDecayPos - no3nuus pacnaga, finputTracklD - unoekc Bxoaa, fOutputTrackID - nHaekchl Bbixoaa.

lMocnepoBaTtenbHOCTL BLIXOLOB OMNpedeneHa B knacce pacnaga. B Hawewm cnyyae:

header->Setlnputlon(He6TrackNb);
header->AddOutputParticle(H5TrackNb);
header->AddOutputParticle(He3TrackNb);
header->AddOutputParticle(H3TrackNb);
header->AddOutputParticle(n1TrackNb);
header->AddOutputParticle(n2TrackNb);

Tak 4To OTpMCOBATbL MMMYNbC NEPBOrO HEMTPOHA M3 pacnana MOXHO Tak:

t->Draw("MCTrack.fPx", "MCTrack.fID == MCEventHeader.fOutputTracklD.At(3)");
#3 - 02/22/2018 11:40 AM - lvan Muzalevsky
- File output.pdf added

#4 - 02/22/2018 11:45 AM - Sergey Belogurov

VBaH, Hanuwm cnosamu, 4YTO NOKasbiBalT KapPTUHKK 1 YeMy OHM HacC y4ar.

#5 - 02/22/2018 01:57 PM - Vratislav Chudoba
- % Done changed from 0 to 60

WBaH, 3eneHble 0T60pbI HE CMOTPSTCS yAayHHO. MoyeMy Ha TpeTbel CTpaHULE Tak CUbHO OTINYAETCS CTAaTUCTUKA 3eNEHbIX 1 YePHbIX YT 0B
peakumu 1 B Opyrux KapTuHKax oHa cosnanaet? MNMpoKOMMEHTUPYITE WHMPUHY NVHUA N HAWW NPEANOIOXEHNs Ha ee cyeT. Y AacTcst HaNoXUTb Ha
KapTUHKU Haww pacyeTbl ¢ nomolubio SIMONE? B cuMoHe npraeTtcs XopoLwo nonobparte aHepruo nyyka, nockonbko B ER ckopee Bcero
0T/MYaeTCcs OT 3a4aBaeMoii B Makpoce.

#6 - 02/23/2018 06:15 PM - Ivan Muzalevsky
- File Kinematics01.pdf added

- File Kinematics08.pdf added

- File output30MeVSIMONE.pdf added

- File startz_08.png added

- File startz_01.png added

CaoenaHbl pacyéTbl KMHEMaTHKK B cumynsaumsx B ER. PesynbTathl B 60bNIWMHCTBE CBOEM CXOXMU C pedynbTatamu pacyéta B SIMONE. Ons 6onee
TOYHOI CXOXECTU HYXXHO HAay4YMTbCs 3afaBaTb CNEKTP Bogopona-5 u renms-6.

Kinematics01 . B aToi cumynsumm TonwmHa MuweHy pasHa 0.1 cM He yunTbiBaeTCS NEHTUKYNSPHAA oopMa MULEHN
Kinematics08 B 370l cuMynaumnm TonwmuHa MyuweHn pasHa 0.8 CM, yuuTbiBaeTCS NEHTUKYNSAPHaa doopMa MULLEHU

Bbino genaHo nccnenoBaHmne 3aBUCMMOCTU pasbpoca SHeprumn BelneTa YacTuL, Nog, onpenenéHHbIM YrioM (LMPWHBI MONOC BO BCEX KapTUHKAX
energy vs theta). Bbino ycTaHOBNEHO .4TO WHPKHA 3aBUCUT OT 3Heprun He6 npu Bnéte B MuweHb. Yem 6onblie HEONPELENEHHOCTb SHEPTUM, TEM
wupmHa Bonble. Mpy pacnonoXeHnn UCTOYHKKA Taknum 06pa3oM, 4ToBbl My4oK NEPBbLIM LENOM B3aVMOAENCTBOBAN C MUALIEHBIO, WPUHA
yMmeHblwmnack. Ecnm 4ectHo, He [0 KOHUA pasobpancs 4To rae pacnoioXeHo, cernyac MCTOYHIK PacrnonoXeH B 45 cM 0T LieHTpa MulweHn. Takxe
0XWOANnoch, 4TO MPU YMEHbIIEHUN TONILMHBI MULLEHH, WUPUHA TaKXe YMeHbWMTCS. Beina 3aMeueHa obpaTHas 3aBUCMMOCTb.

Bbino 3ameyeH Hebonblwoii Har ¢ pacnpeneneHnem poxaeHns H5 Boonb koopamHatel Z (ock nyyka). Moka 4to 6yny uckatb 6ar B Makpoce

co3naHust MyweHu. NpennonoxuTensHo, 6ar n33a Toro, 4T0 MOMUMO NEHTUKYNSAPHON DOPMbI MULIEHMN (COCTOMT U3 h2) CyWeCTBYET NEHTUKYNSIPHAs
hopma KpbIlWKe U3 CTanun. ecTb NOAO3PEHNS, 4TO NPU YMEHBLIEHWMN TOMWMHBI, 4TO TO CABUraeTCs He TyAa. MpoucxoauT Tparenms. pasbepémcs
#7 - 02/26/2018 02:23 PM - Ivan Muzalevsky
- File startz_45cm.png added
- File startz_1cm.png added

Mpwn paccMoTpeHnn pacnpeneneHns NPoAoNbHON KOOPAMHATbLI POXAeHUs h5 cTano BUAHO, YTO €CIM UCTOYHWK YCTaHOBUTb B 45 CM OT MULLIEHN
(npoxoauT yepes beamdet u gtelescope) To h5 obpasyeTtcs B Hayane cucTemMbl KoopamHart (startz_45cm.png). a ecnu B 1 ¢M OT MULIEHN TO
KoopauHaTa poxaeHns casuraetcs no ocu z Ha 0.01 cm.

#8 - 02/26/2018 03:56 PM - Ivan Muzalevsky
- File kin1cm_0.4.pdf added

KNHeMaTtuka npu pacnonoXeHmm NCTo4yHuka B 1 CM OT MULEHN. (nposepeHo, 4TO TONWWHA MULLIEHN He BNnseT Ha pacnpe,u,eneHMﬂ)

#9 - 03/01/2018 12:21 PM - lvan Muzalevsky
- File kinH5.pdf added
- Status changed from Orkpeita to 3akpbiTa

- % Done changed from 60 to 100

Bbina HageHa oxuiaemas 3aBUCUMOCTb HEONPEAENEHHOCTM SHEPrn AETEKTUPYEMbIX HACTUL, OT TOJWMHBI MULIEHW, NONYYEHbI KAPTUHKK ANs
MN30TPOMHOro yrnoBOro pacnpeneneHns ans peakuum ¢ SH. Kaptuxkm cxoxu ¢ nonyyaemsiMm B SIMONE

Files

output.pdf 405 KB 02/18/2018 lvan Muzalevsky
output.pdf 2.18 MB 02/22/2018 lvan Muzalevsky
Kinematics08.pdf 1.17 MB 02/23/2018 lvan Muzalevsky
Kinematics01.pdf 1.92 MB 02/23/2018 Ivan Muzalevsky
output30MeVSIMONE.pdf 2.12MB 02/23/2018 Ivan Muzalevsky
startz_01.png 24 KB 02/23/2018 lvan Muzalevsky
startz_08.png 25.2 KB 02/23/2018 lvan Muzalevsky
startz_45cm.png 26.8 KB 02/26/2018 lvan Muzalevsky
startz_1cm.png 25.7 KB 02/26/2018 lvan Muzalevsky
kinicm_0.4.pdf 636 KB 02/26/2018 Ivan Muzalevsky
kinH5.pdf 1010 KB 03/01/2018 lvan Muzalevsky
